/* FONTS */
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');


/* SITE STYLES */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Poppins', sans-serif;
    background-color: #000;
}

.container {
    width: 1150px;
    margin: 0 auto;
    padding: 0 20px;
}

/* NAVBAR STYLES */

nav {
    display: flex;
    align-items: center;
    height: 90px;
    background-color: #181818;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.site-logo {
    width: 100%;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.site-logo:hover {
    transform: scale(1.1);
}

.navigation-list {
    display: flex;
    list-style-type: none;
}

.navigation-links {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    color: #FFFFFF;
    text-decoration: none;
    margin: 0 16px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    outline: none;
}

.navigation-links:hover, 
.navigation-links:focus {
    color: #0a7bd1;
}

.navbar-btn {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    letter-spacing: 0.4px;
    color: #000000;
    text-decoration: none;
    background-color: #fff;
    padding: 9px 20px;
    border-radius: 14px;
    margin-top: -10px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    border: 2px solid #000000;
}

.navbar-btn:hover,
.navbar-btn:focus {
    background-color: #0a7bd1;
    color: #fff;
    border: 2px solid #fff;
}


/* HERO STYLES */

.hero{
    height: 88vh;
    background: url("images/heroMainImg.png") center/cover no-repeat;
}

.hero-infos {
    width: 580px;
    height: 88vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin: 0 auto;
    text-align: center;
}

.hero-top-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #C0C0C0;
}

.hero-top-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 54px;
    color: #FFFFFF;
}

.hero-bottom-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    color: #C0C0C0;
}

.hero-cornerImg {
    position: absolute;
    background-color: transparent;
    bottom: 4%;
    right: 2%;
}

/* OURWORKS PART */

.ourWorks {
    padding: 40px 0;
    background-color: #000;
}

.ourWorks-top-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 40px;
    text-align: center;
    color: #FFFFFF;
    padding-top: 50px;
}

.ourWorks-top-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 23px;
    text-align: center;
    color: #C0C0C0;
}


.ourWorks-main-part {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin-top: 42px;
}

.ourWorks-cards {
    height: 550px;
    padding: 10px;
    position: relative;
    margin: 0 10px;
}

.card1 {
    background: url("images/ourWorksImg1.png") no-repeat center/cover;
}

.card2 {
    background: url("images/ourWorksImg2.png") no-repeat center/cover;
}

.card3 {
    background: url("images/ourWorksImg3.png") no-repeat center/cover;
}

.card4 {
    background: url("images/ourWorksImg4.png") no-repeat center/cover;
}

.cards {
    margin: 20px 2px;
}

.ourWorks-cards-info {
    position: absolute;
    left: 20px;
    bottom: 20px;
}

.cards-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #FFFFFF;
    margin-bottom: 30px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.cards-header:hover, 
.cards-header:focus {
    color: #0a7bd1;
}

.cards-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    color: #C0C0C0;
    margin-bottom: 30px;
}

.cards-btn {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    letter-spacing: 0.4px;
    color: #000000;
    padding: 9px 15px;
    background-color: #fff;
    border-radius: 14px;
    text-decoration: none;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    border: 2px solid #000;
}

.cards-btn:hover, 
.cards-btn:focus {
    background-color: #0a7bd1;
    color: #fff;
    border: 2px solid #fff;
}

/* JUSTIMG PART */

.justImg {
    position: relative;
    height: 600px;
    background: url("images/justImg.png") no-repeat center/cover;
}

.justImg-wrapper {
    display: flex;
    align-items: flex-start;
    justify-content: space-around;
    flex-direction: column;
    position: absolute;
    right: 40px;
    bottom: 240px;
}

.justImg-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #FFFFFF;
}

.justImg-text {
    width: 300px;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    color: #C0C0C0;
}

.justImg-cornerImg {
    position: absolute;
    right: 50px;
    bottom: 50px;
}

.justImgMiddle-part-wrapper {
    background-color: #000;
    margin-top: 20px;
}

.justImgMiddle-part {
    display: flex;
    align-items: center;
}

.justImgcard-top-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #C0C0C0;
    margin-bottom: 6px;
}

.justImgcard-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 28px;
    color: #FFFFFF;
    margin-bottom: 14px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.justImgcard-header:hover {
    color: #0a7bd1;
}

.justImgcard-bottom-text {
    width: 515px;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    margin-bottom: 20px;
}

.justImgcard-btn {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    letter-spacing: 0.4px;
    color: #000000;
    background-color: #fff;
    border-radius: 14px;
    text-decoration: none;
    padding: 9px 15px;
    border: 2px solid #000;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    margin-bottom: 20px;
}

.justImgcard-btn:hover, 
.justImgcard-btn:focus {
    background-color: #0a7bd1;
    color: #fff;
    border: 2px solid #fff;
} 


.justImgcards {
    width: 100%;
}

.justImg-card-wrapper {
    position: relative;
    height: 540px;
    background: url("images/justImg2.png") no-repeat center/cover;
}

.justImgMiddle-cornerImg2 {
    position: absolute;
    bottom: 20px;
    right: 40px;
}

.justImglast-part {
    position: relative;
    height: 600px;
    background: url("images/justImg3.png");
}

.justImglast-part-wrapper {
    display: flex;
    align-items: flex-start;
    justify-content: space-around;
    flex-direction: column;
    position: absolute;
    right: 40px;
    bottom: 240px;
}

.justImglastPart-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #FFFFFF;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.justImglastPart-header:hover {
    color: #0a7bd1;
}

.justImglast-part-text {
    width: 273px;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    color: #C0C0C0;
}

.justImglastpart-cornerImg {
    position: absolute;
    bottom: 20px;
    right: 40px;
}


/* OUR CLIENTS PART */

.ourClients-main-wrapper {
    padding: 50px 0;
}

.ourClients-wrapper {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    margin-top: 50px;
    padding: 20px 0;
}

.clientImg-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
}

.our-clints-img {
    opacity: 0.8;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.our-clints-img:hover {
    opacity: 1;
    transform: translateY(20px);
}

.ourClients-top-header {
    width: auto;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 40px;
    text-align: center;
    color: #FFFFFF;
    margin-top: 60px;
}

.ourClients-top-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    text-align: center;
    color: #C0C0C0;
    margin-top: 15px;
}

.our-clints-img {
    margin: 20px 0;
}

/* BIG IMG PART */

.bigImg {
    height: 600px;
    position: relative;
    background: url("images/bigImg.png") no-repeat center/cover;
}

.bigImg-wrapper {
    display: flex;
    align-items: flex-start;
    justify-content: space-around;
    flex-direction: column;
    position: absolute;
    right: 40px;
    bottom: 240px;
}

.bigImg-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #FFFFFF;
}

.bigImg-text {
    width: 240px;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    color: #C0C0C0;
}

.bigImg-cornerImg {
    position: absolute;
    bottom: 20px;
    right: 40px;
}

/* FOOTER PART */

.footer-top-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 30px 0;
}

.footer-top-header {
    width: 571px;
    margin: 0 auto;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 40px;
    text-align: center;
    color: #FFFFFF;
    margin-top: 100px;
}

.footer-top-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    text-align: center;
    color: #C0C0C0;
    margin-top: 15px;
}

.footer-top-btn {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    text-align: center;
    letter-spacing: 0.4px;
    color: #000000;
    background-color: #fff;
    border-radius: 14px;
    text-decoration: none;
    padding: 9px 15px;
    margin-top: 30px;
    border: 2px solid #000;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.footer-top-btn:hover {
    color: #fff;
    border: 2px solid #fff;
    background-color: #0a7bd1;
}


/* FOOTER MIDDLE PART */

.footer-info-container {
    display: flex;
    justify-content: space-around;
    color: #fff;
    margin-top: 80px;
}

.footer-middle-cards {
    display: flex;
    justify-content: space-evenly;
}

.box1 {
    margin-right: 20px;
}

.footer-middle-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    color: #C0C0C0;
    margin-top: 20px;
}

.footer-box-title {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #C0C0C0;
    margin-bottom: 10px;
}

.footer-box-texts {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    margin: 5px 0;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.footer-box-texts:hover {
    color: #0a7bd1;
    text-decoration: underline;
}


/* FOOTER BOTTOM PART */

.footer-bottom-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin-top: 40px;
    border-top: 2px solid #fff;
    border-bottom: 2px solid #fff;
    padding: 36px 0;
}

.footer-bt-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #FFFFFF;
}

.footer-bt-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    color: #C0C0C0;
}

.footer-input {
    width: 458px;
    font-size: 15px;
    background: #F9FAFB;
    border: 1px solid #E5E7EB;
    border-radius: 12px;
    padding: 15px 80px 15px 10px;
    border: 5px solid #000;
    outline: none;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.footer-input:hover {
    border: 5px solid #0a7bd1;
}

.bottom-section {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin: 20px 0;
}

.bt-section-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    color: #C0C0C0;
    margin: 30px 0;
}

.footerImg-icons {
    cursor: pointer;
    transition: 0.5s ease-in-out;
    margin: 0 10px;
}

.footerImg-icons:hover {
    transform: translateY(20px);
}



/* MEDIA QUERIES */


@media (max-width:1300px) {

    .container {
        width: 1000px;
    }

    .hero-infos, .hero-wrapper {
        width: auto;
    }

    .hero-cornerImg {
        display: none;
    }

}

@media (max-width:1000px) {

    .container {
        width: 800px;
    }

    .navigation-links {
        font-size: 12px;
    }

    .navbar-btn {
        margin-top: -6px;
        padding: 5px 10px;
    }

    .ourWorks-main-part {
        grid-template-columns: repeat(1, 1fr);
    }

    .ourWorks-cards-info {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
        bottom: 50px;
    }

    .justImgMiddle-part {
        flex-direction: column;
    }

    .justImgcards {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .justImg-card-wrapper {
        height: 400px;
        padding-bottom: 40px;
    }

    .justImgcard-bottom-text {
        text-align: center;
        width: auto;
    }

    .ourClients-wrapper {
        grid-template-columns: repeat(3, 1fr);
    }

    .footer-middle-text {
        width: auto;
        font-size: 12px;
    }

    .footer-box-title {
        font-size: 12px;
    }

    .footer-box-texts {
        font-size: 10px;
    }

    .footer-bt-header {
        font-size: 12px;
    }

    .footer-bt-text {
        font-size: 10px;
    }

    .footer-input {
        width: auto;
        padding: 10px 50px 10px 10px;
    }

    .bt-section-header {
        font-size: 10px;
    }

}

@media (max-width: 800px) {

    .container {
        width: 600px;
    }

    .navbar {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .navbar-btn {
        display: none;
    }

    .justImg-wrapper {
        height: 100vh;
        display: flex;
        align-items: center;
        justify-content: center;
        position: static;
        text-align: center;
    }

    .justImg-text {
        width: auto;
        margin-top: 20px;
    }

    .justImglast-part {
        height: 400px;
    }

    .justImglast-part-wrapper {
        height: 100vh;
        display: flex;
        align-items: center;
        justify-content: center;
        position: static;
        text-align: center;
    }

    .justImglastPart-header {
        font-size: 20px;
    }

    .justImglast-part-text {
        width: auto;
        margin-top: 20px;
    }

    .ourClients-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }

    .bigImg-wrapper {
        height: 100vh;
        display: flex;
        align-items: center;
        justify-content: center;
        position: static;
        text-align: center;
    }

    .bigImg-text {
        width: auto;
        margin-top: 20px;
    } 

    .footer-top-header {
        width: auto;
        text-align: center;
        font-size: 30px;
    }

    .footer-top-text {
        font-size: 20px;
    }

    .footer-info-container {
        display: flex;
        flex-direction: column;
    }
    
    .footer-middle-card {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .footer-middle-text {
        margin-bottom: 50px;
    }

    .footer-bottom-wrapper {
        display: flex; 
        flex-direction: column;
    }

    .footer-bt-wrapper-cards {
        margin: 10px 0;
    }

}


@media (max-width: 600px) {

    nav {
        height: auto;
        padding: 10px ;
    }

    .container {
        width: 400px;
    }

    .navigation-list {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .navbar-btn {
        display: none;
    }

    .justImgMiddle-cornerImg2 {
        display: none;
    }

    .justImgcard-bottom-text {
        font-size: 12px;
    }

    .justImglastpart-cornerImg {
        display: none;
    }

    .ourClients-wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .bigImg-cornerImg {
        display: none;
    }

    .bottom-section {
        display: flex;
        flex-direction: column;
    }
}


@media (max-width: 400px) {

    nav {
        height: auto;
        padding: 10px ;
    }

    .container {
        width: 220px;
    }

    .navigation-list {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .hero {
        height: auto;
        padding: 20px 0;
    }

    .hero-top-text {
        color: #000;
    }

    .hero-top-header {
        font-size: 35px;
    }

    .hero-bottom-text {
        font-size: 10px;
    }

    .ourWorks-top-header {
        font-size: 35px;
        padding-top: 20px;
    }

    .ourWorks-top-text {
        font-size: 18px;
    }

    .cards {
        height: 400px;
    }

    .cards-text {
        text-align: center;
        font-size: 10px;
    }

    .cards-btn {
        font-size: 13px;
        padding: 5px 10px;
    }

    .justImg {
        height: 500px;
    }

    .justImg-cornerImg {
        display: none;
    }

    .justImgcard-header {
        font-size: 25px;
        text-align: center;
    }
    
    .justImglast-part-text {
        font-size: 10px;
    }

    .bigImg {
        height: 400px;
    }

    .footer-top-header {
        font-size: 20px;
    }

    .footer-top-text {
        font-size: 17px;
    }

    .footer-middle-text {
        text-align: center;
    }

    .footer-middle-cards {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .footer-boxes {
        margin: 20px 0;
        text-align: center;
    }

    .footer-bt-wrapper-cards {
        text-align: center;
    }

    .footer-bt-text {
        margin-top: 10px;
    }

    .footer-input {
        font-size: 10px;
        padding: 5px 20px 5px 5px;
    }

    .bt-section-header {
        font-size: 9px;
        text-align: center;
    }
}